Bug 1212522 (libkdegames4) - Review Request: libkdegames4 - Common code and data for many KDE4 games
Summary: Review Request: libkdegames4 - Common code and data for many KDE4 games
Keywords:
Status: CLOSED RAWHIDE
Alias: libkdegames4
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: kde-reviews plasma5
TreeView+ depends on / blocked
 
Reported: 2015-04-16 14:47 UTC by Rex Dieter
Modified: 2015-04-21 18:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-17 13:32:54 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2015-04-16 14:47:53 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/kf5/libkdegames4.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/kf5/libkdegames4-14.12.3-10.fc22.src.rpm
Description: Common code and data for many KDE4 games
Fedora Account System Username: rdieter

Compat kde4-based libkdegames package (since core libkdegames is now kf5-based), for kde4 games not yet ported.

Comment 1 Rex Dieter 2015-04-16 14:52:02 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9493537

$ rpmlint libkdegames4 libkdegames4-devel
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegames.so.6.1.0 /lib64/libQtNetwork.so.4
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegames.so.6.1.0 /lib64/libQtDBus.so.4
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegames.so.6.1.0 /lib64/libpthread.so.0
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegames.so.6.1.0 /lib64/libgcc_s.so.1
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegamesprivate.so.1.0.0 /lib64/libQtSvg.so.4
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegamesprivate.so.1.0.0 /lib64/libpthread.so.0
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegamesprivate.so.1.0.0 /lib64/libQtDBus.so.4
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegamesprivate.so.1.0.0 /lib64/libm.so.6
libkdegames4.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdegamesprivate.so.1.0.0 /lib64/libgcc_s.so.1
libkdegames4-devel.x86_64: W: only-non-binary-in-usr-lib
libkdegames4-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 11 warnings.

Comment 2 Mario Blättermann 2015-04-16 20:21:40 UTC
$ rpmlint -i -v *
libkdegames4.src: I: checking
libkdegames4.src: I: checking-url https://projects.kde.org/projects/kde/kdegames/libkdegames (timeout 10 seconds)
libkdegames4.src: I: checking-url http://download.kde.org/stable/applications/14.12.3/src/libkdegames-14.12.3.tar.xz (timeout 10 seconds)
libkdegames4.x86_64: I: checking
libkdegames4.x86_64: I: checking-url https://projects.kde.org/projects/kde/kdegames/libkdegames (timeout 10 seconds)
libkdegames4.x86_64: W: invalid-url URL: https://projects.kde.org/projects/kde/kdegames/libkdegames The read operation timed out
The value should be a valid, public HTTP, HTTPS, or FTP URL.

libkdegames4-debuginfo.x86_64: I: checking
libkdegames4-debuginfo.x86_64: I: checking-url https://projects.kde.org/projects/kde/kdegames/libkdegames (timeout 10 seconds)
libkdegames4-devel.x86_64: I: checking
libkdegames4-devel.x86_64: I: checking-url https://projects.kde.org/projects/kde/kdegames/libkdegames (timeout 10 seconds)
libkdegames4-devel.x86_64: W: invalid-url URL: https://projects.kde.org/projects/kde/kdegames/libkdegames The read operation timed out
The value should be a valid, public HTTP, HTTPS, or FTP URL.

libkdegames4-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

libkdegames4-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

libkdegames4.spec: I: checking
libkdegames4.spec: I: checking-url http://download.kde.org/stable/applications/14.12.3/src/libkdegames-14.12.3.tar.xz (timeout 10 seconds)
4 packages and 1 specfiles checked; 0 errors, 4 warnings.


Warnings are harmless, the invalid URL is reachable.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv2 and GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %license.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    473c139c6a060c6965a2c406da3401eb720d6c19a5086e6b3a30f508ff4c4336  libkdegames-14.12.3.tar.xz
    473c139c6a060c6965a2c406da3401eb720d6c19a5086e6b3a30f508ff4c4336  libkdegames-14.12.3.tar.xz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------


Cosmetic issue: there's a stray whitespace character after "Requires: kdelibs4-devel ". Besides that, the GFDL text is shipped with the tarball, but I haven't found any file which it applies to.

Comment 3 Rex Dieter 2015-04-16 20:32:02 UTC
New Package SCM Request
=======================
Package Name: libkdegames4
Short Description: Common code and data for many KDE4 games
Upstream URL: https://projects.kde.org/projects/kde/kdegames/libkdegames
Owners: rdieter group::kde-sig
Branches: f22 f21 f20
InitialCC:

Comment 4 Gwyn Ciesla 2015-04-17 10:49:07 UTC
Git done (by process-git-requests).

Comment 5 Rex Dieter 2015-04-17 13:32:54 UTC
imported, thanks!


Note You need to log in before you can comment on or make changes to this bug.